Seamonkey support, please? Rated 3 out of 5 stars

Well, since I'm not using Aurora or Trunk, it's too early to say. But I hope that by the time FF 7 goes mainstream, this extension will be also supporting Seamonkey 2.4 and higher.